# $Revision: 1.39 $, $Date: 2011/09/26 06:37:51 $
#
# Conditional build:
%bcond_with	gnomecontrol	# register with GNOME as a default terminal application
Summary:	ROXTerm - a terminal emulator
Summary(hu.UTF-8):	ROXTerm egy terminál emulátor
Summary(pl.UTF-8):	ROXTerm - emulator terminala
Name:		roxterm
Version:	2.1.1
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/roxterm/%{name}-%{version}.tar.gz
# Source0-md5:	45f694c3633a4af2b76472dcac9203a7
URL:		http://roxterm.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel >= 0.22
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	glib2-devel >= 1:2.16.0
%{?with_gnomecontrol:BuildRequires:	gnome-control-center-devel}
BuildRequires:	gtk+3-devel
BuildRequires:	libglade2-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sed >= 4.0
BuildRequires:	vte-devel >= 0.27.0
BuildRequires:	xmlto
BuildRequires:	xorg-lib-libSM-devel
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	dbus
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ROXTerm is a terminal emulator intended to provide similar features to
gnome-terminal, based on the same VTE library, but with a smaller
footprint and quicker start-up time. It achieves this by not using the
GNOME libraries and by using a separate applet to provide the
configuration GUI. It can be used as a ROX application, as the name
implies, or in any other X environment.

%description -l hu.UTF-8
ROXTerm egy terminál emulátor, amely hasonló képességekkel bír, mint a
gnome-terminal. VTE alapú, de kisebb és gyorsabban indul. Nem
használja a Gnome könyvtárait és egy konfiguráló GUI-t is biztosít.
Használható ROX alkalmazásként is, mint ahogy a neve mutatatja, vagy
bármely más X környezetben.

%description -l pl.UTF-8
ROXTerm jest emulatorem terminala, który w założeniach ma być podobny
do gnome-terminala, bazować na tej samej bibliotece VTE, ale być
mniejszy i szybciej się uruchamiać. Cel ten został osiągnięty, dzięki
temu, że ROXTerm nie używa bibliotek GNOME, a do graficznego
interfejsu konfiguracyjnego używa osobnego apletu. ROXTerm - jak nazwa
wskazuje - może być używany jako aplikacja ROX. Może być również
używany z dowolnym innym środowiskiem X.

%prep
%setup -q

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk3 \
	--enable-sm \
	--with%{!?with_gnomecontrol:out}-gnome-default-applications

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README Help/en Help/lib
%attr(755,root,root) %{_bindir}/roxterm-config
%attr(755,root,root) %{_bindir}/roxterm
%{_datadir}/%{name}
%{?with_gnomecontrol:%{_datadir}/gnome-control-center/default-apps/roxterm.xml}
%{_desktopdir}/roxterm.desktop
%{_iconsdir}/hicolor/scalable/apps/roxterm.svg
%{_mandir}/man1/roxterm-config.1*
%{_mandir}/man1/roxterm.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: roxterm.spec,v $
Revision 1.39  2011/09/26 06:37:51  arekm
- rel 1

Revision 1.38  2011/09/13 19:24:40  atler
- up to 2.1.1

Revision 1.37  2011/08/24 16:29:47  atler
- up to 2.0.1
- updated BRs
- drop lang files (not generated)
- drop es docs (not provided anymore)
- rel 0.1

Revision 1.36  2011/07/03 14:30:51  atler
- updated to: 1.22.2

Revision 1.35  2011/06/26 12:41:06  atler
- updated to: 1.22.1

Revision 1.34  2011/03/17 13:28:10  atler
- updated to: 1.21.4

Revision 1.33  2011/03/14 19:12:04  atler
- updated to: 1.21.3

Revision 1.32  2011/03/04 19:19:15  atler
- updated to: 1.21.2

Revision 1.31  2011/02/15 00:53:59  uzsolt
- 1.21.1

Revision 1.30  2011/02/04 18:24:01  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.29  2011/01/31 22:07:09  atler
- added %{__gettextize}
- rel 2

Revision 1.28  2011/01/26 21:15:12  atler
- up to 1.20.6 (1.20.7 fails to compile)
- drop roxterm-pkgdocdir.patch
- properly package doc files (%doc)
- BRs updated
- require file for post/postun (package separted in gtk+3)
- hicolor-icon-theme required indirectly by directory
- package mans for es

Revision 1.27  2010/09/28 21:32:12  uzsolt
- 1.19.1
- patch0 disabled

Revision 1.26  2010/08/24 14:18:28  uzsolt
- 1.18.5

Revision 1.25  2010/06/22 06:52:52  uzsolt
- 1.18.4

Revision 1.24  2010/05/26 04:52:46  uzsolt
- 1.18.3

Revision 1.23  2010/05/13 19:43:39  uzsolt
- 1.18.2

Revision 1.22  2010/03/29 21:38:41  uzsolt
- 1.18.1

Revision 1.21  2010/01/23 09:15:14  uzsolt
- 1.17.1
- rel 1

Revision 1.20  2009/12/07 14:42:07  sparky
- BR: xmlto (required for man pages)

Revision 1.19  2009/12/07 13:54:47  dirdival
- rel. 4
- bcond_with gnomecontrol added

Revision 1.18  2009/12/07 10:01:07  duddits
- rel.3
- missing man files have been added

Revision 1.17  2009/12/06 19:15:44  sparky
- BR: gnome-control-center-devel (all that for gnome-default-applications.pc
  file)

Revision 1.16  2009/12/06 13:08:18  dirdival
- md5sum
- rel. 2

Revision 1.15  2009/12/06 12:55:15  dirdival
- updated to 1.16.3

Revision 1.14  2009/08/10 16:14:30  hawk
- release 3

Revision 1.13  2009/08/01 14:53:04  uzsolt
- fix pkgdocdir

Revision 1.12  2009/07/20 21:04:01  uzsolt
- 1.15.2

Revision 1.11  2009/07/04 09:12:03  megabajt
- release 2

Revision 1.10  2009/06/03 20:53:18  megabajt
- updated to 1.14.2

Revision 1.9  2009/01/22 16:04:31  uzsolt
- up to 1.13.5

Revision 1.8  2008/10/08 17:58:54  qboosh
- unified, pl fixes

Revision 1.7  2008/10/08 17:47:56  qboosh
- bugfix

Revision 1.6  2008/10/08 17:35:41  qboosh
- use find_lang

Revision 1.5  2008/10/04 15:17:32  uzsolt
- up to 1.13.0
- release 1

Revision 1.4  2008/08/12 14:59:34  pawelz
- pl desc and summary

Revision 1.3  2008/08/12 13:52:52  pawelz
- R: dbus

Revision 1.2  2008/08/12 11:49:04  pawelz
- --prefix=%{_prefix} is already defined by %configure macro
- %files cleanup

Revision 1.1  2008/08/12 09:31:27  uzsolt
- initial
